/* */
parse arg string
parse var string '"'BootDrive' 'AppServer' 'Action'"'
if (string<>"" & BootDrive="") then parse var string "'"BootDrive" "AppServer" "Action"'"
if (string<>"" & BootDrive="") then parse var string BootDrive" "AppServer" "Action
argString = '"'BootDrive' 'AppServer' CLEANUP"'   /* Needed later */
 
  p.Title = "Entrepreneur"
  p.ThisCMDFileName = "CreateEntrepreneur.CMD"
  p.DirName = "Entrepreneur"
  p.ObjectID = "<OBJECT_Entrepreneur>"
  p.ObjectIDPre = Strip(p.ObjectID,"T",">")
  p.FitToCheck = ""
  p.ObjectIDShadow = ""  /* p.ObjectIDPre || "_Shadow>" */  /* Set to blank for no desktop shadow */
  p.FileToCheck = ""  /* File to check to see if this is a fresh install */
  p.DirToCheck = "\OS2"   /* Directory to check to see if this is a fresh install */
  p.PathToCheck = ""
  p.ClassToCheck = ""
 
  call StartUp
 
  p.Class = "WPProgram"
  p.Location = "<WP_APPSFOLDER>"
  p.ExeDir = RunFrom"\"p.DirName
  p.StartDir = BootDrive||Apps"\"p.DirName
  p.SetupString = "EXENAME="p.ExeDir"\Entrepreneur.EXE;STARTUPDIR="p.StartDir";"
  p.Flag = "Replace"     /* "Fail", "Replace", or "Update" */
  p.Doc= "" /* "OBJECTID="p.ObjectIDPre"_DOC>;EXENAME=E.EXE;PARAMETERS="p.ExeDir"\README.TXT;STARTUPDIR="p.StartDir";" */ /* Set to blank for no readme */
  p.ObjectIDFolder = "" /* Set to blank for no folder */
  p.ObjectIDFolderICON1 = WiseManager'\"p.DirName"\"p.DirName".ICO"
  p.ObjectIDFolderICON2 = WiseManager'\"p.DirName"\"p.DirName"1.ICO"
 
  /*
     Action can be blank, CLEANUP, or START 
     blank means normal create with REBOOT required title
     CLEANUP means create ICON without the REBOOT required title 
     START   means starts up the main program
  */
 
  Action = translate(Action)
  if (Action = "START") then do
     if (p.ObjectID <> "") then rc = SysOpenObject("p.ObjectID", "RUNNING", 0)
     "@exit"
     return
  end /* do */
 
  CreateCollision = p.Flag
  Call RegisterClasses
  Call CreateObjects
 
  call MyRegisterClasses
  call MyCreateObjects
 
syntax:
signal CMDExit
return 0
 
MyRegisterClasses:
return
 
MyCreateObjects:
  if (p.ObjectIDFolder <> "") then do
     rc = CreateObject( "WPFolder",,
         p.Title,,
         p.Location,,
        'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=CONTENTS;'||,
        'HELPPANEL=22000;'||,
        'HELPLIBRARY=OBJDHELP.HLP;'||,
        'SELFCLOSE=1;'||,
        'ICONFONT=9.WarpSans;'||,
        'DETAILSFONT=9.WarpSans;'||,
        'TREEFONT=9.WarpSans;'||,
        'ICONVIEW=NONGRID,NORMAL;'||,
        'DETAILSVIEW=MINI;'||,
        'TREEVIEW=LINES,MINI;'||,
        'ALWAYSSORT=YES;'||,
        'ICONFILE='p.ObjectIDFolderICON1';'||,
        'ICONNFILE=1,'p.ObjectIDFolderICON2';'||,
        'OBJECTID='p.ObjectIDFolder,,
         p.Flag )
 
      if (p.ObjectIDShadow="") then do
        rc = CreateObject( 'WPShadow',,
            p.Title,,
            '<WP_DESKTOP>',,
            'SHADOWID='p.ObjectIDFolder';'||,
            'OBJECTID='p.ObjectIDFolderShadow,,
         p.Flag )
      end
 
      p.Location = p.ObjectIDFolder
  end
 
  if (p.ObjectID<>"") then do
     rc = CreateObject( p.Class,,
         p.Title,,
         p.Location,,
         p.SetupString ||,
             "NOPRINT=YES;"||,
             "DEFAULTVIEW=RUNNING;"||,
             "OBJECTID="p.ObjectID";",,
         p.Flag )
  end
 
  if (p.ObjectIDShadow<>"") then do
     rc = CreateObject( "WPShadow",,
         p.Title,,
         "<WP_DESKTOP>",,
            "DEFAULTVIEW=UNKNOWN;"||,
            "NOPRINT=YES;"||,
            "HELPPANEL=1277;"||,
            "SHADOWID="p.ObjectID";"||,
            "OBJECTID="p.ObjectIDShadow";",,
         p.Flag )
  end
 
  if (p.doc<>"") then do
       rc = CreateObject( p.Class,"Read ME",p.Location,p.doc||"NOPRINT=YES;"||"DEFAULTVIEW=RUNNING;",p.Flag )
  end
 
  /* Misc program files goes here */
  PgmFiles = ""     /* ABC.EXE DEF.CMD */
  do while (PgmFiles<>"")
     PgmFiles = strip(PgmFiles)
     parse var PgmFiles p.Title"."suf" "PgmFiles
     if (Pos(".",p.Title)>0) then parse var p.Title p.Title"."suf
     p.SetupString = "EXENAME="p.ExeDir"\"p.Title"."suf";STARTUPDIR="p.StartDir";"
     p.ObjectID = "<Entrepreneur_"p.Title""suf">"
     rc = CreateObject( p.Class, p.Title, p.Location, p.SetupString || "NOPRINT=YES;"|| "DEFAULTVIEW=RUNNING;"|| "OBJECTID="p.ObjectID";", p.Flag )
  end /* do */
 
  /* Misc text files goes here */
  TxtFiles = ""     /* ABC.TXT DEF.TXT */
  do while (TxtFiles<>"")
     TxtFiles = strip(TxtFiles)
     parse var TxtFiles p.Title"."suf" "TxtFiles
     if (Pos(".",p.Title)>0) then parse var p.Title p.Title"."suf
     if (translate(suf)="INF") then prog = "View"
     else if (translate(suf)="HTM" | translate(suf)="HTML") then prog = RunFrom"\NetScape\Program\NetScape"
     else prog = "E"
     p.SetupString = "EXENAME="prog".EXE;PARAMETERS="p.ExeDir"\"p.Title"."suf";STARTUPDIR="p.StartDir";"
     p.ObjectID = "<Entrepreneur_"p.Title""suf">"
     rc = CreateObject( p.Class, p.Title || "."suf"", p.Location, p.SetupString || "NOPRINT=YES;"|| "DEFAULTVIEW=RUNNING;"|| "OBJECTID="p.ObjectID";", p.Flag )
     end /* do */
return
 
CreateObjects:

rc = CreateObject( 'WPFolder',,
    'Entrepreneur',,
    '<WP_DESKTOP>',,
    'NOPRINT=YES;'||,
        'DEFAULTVIEW=CONTENTS;'||,
        'ICONPOS=17,87;'||,
        'SELFCLOSE=1;'||,
        'ICONFONT=9.WarpSans;'||,
        'DETAILSFONT=9.WarpSans;'||,
        'TREEFONT=9.WarpSans;'||,
        'ICONVIEW=NONGRID,NORMAL;'||,
        'DETAILSVIEW=MINI;'||,
        'TREEVIEW=LINES,MINI;'||,
        'ALWAYSSORT=YES;'||,
        'ICONFILE='p.ObjectIDFolderICON1';'||,
        'ICONNFILE=1,'p.ObjectIDFolderICON2';'||,
        'OBJECTID=<ENTREPENEUR>',,
    CreateCollision )

/*
  rc = CreateObject( 'WPProgram',,
      'Entrepreneur^Install/Uninstall^Utility',,
      '<ENTREPENEUR>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='RunFrom'\Entrepreneur\INSTALL.EXE;'||,
          'EXENAME='BootDrive'\'name';'||,
          'PARAMETERS=/u;'||,
          'PROGTYPE=PM',,
      CreateCollision )
*/

  rc = CreateObject( 'WPProgram',,
      'Entrepreneur',,
      '<ENTREPENEUR>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='RunFrom'\Entrepreneur\ENT.EXE;'||,
          'STARTDIR='BootDrive'\'name';'||,
          'PROGTYPE=PM',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Entrepreneur^Walk Through',,
      '<ENTREPENEUR>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME=E.EXE;'||,
          'STARTDIR='BootDrive'\'name';'||,
          'PARAMETERS=G:\Entrepreneur\walk.txt;'||,
          'PROGTYPE=PM',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Entrepreneur^README',,
      '<ENTREPENEUR>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME=E.EXE;'||,
          'STARTDIR='BootDrive'\'name';'||,
          'PARAMETERS='RunFrom'\Entrepreneur\readme.txt;'||,
          'PROGTYPE=PM',,
      CreateCollision )

return

RegisterClasses:
/*

Say
Say 'Registering classes....'
Say
Say 'The following classes will be registered:'
Say
Say '  WPObjectPlus      TSEnhFolder       LSDirectory       '
Say
Say 'Press enter to register 3 classes for object creation,'
Call CharOut, 'or type any other key and enter to ignore: '
Say
Parse Pull Answer
If Answer <> '' Then return
*/

/*
  rc = MySysRegisterObjectClass( 'WPObjectPlus', 'G:\WPSTOOLS\OBJPLUS.DLL' )

  rc = MySysRegisterObjectClass( 'TSEnhFolder', 'OBJDEFLD' )

  rc = MySysRegisterObjectClass( 'LSDirectory', 'LSGWPS' )
*/

return


