/* */
 
parse arg '"'BootDrive' 'AppServer' 'Action'"'
argString = '"'BootDrive' 'AppServer' CLEANUP"'   /* Needed later */
 
  p.Title = "InJoy-Firewall"
  p.ThisCMDFileName = "CreateInJoy-Firewall.CMD"
  p.DirName = "InJoy-Firewall"
  p.Location = "<WP_APPSFOLDER>"
  p.ObjectID = "<OBJECT_InJoy-Firewall>"
  p.FileToCheck = ""  /* File to check to see if this is a fresh install */
  p.DirToCheck = ""   /* Directory to check to see if this is a fresh install */
 
  call StartUp
 
  p.Class = "WPProgram"
  p.ExeDir = RunFrom"\"p.DirName
  p.StartDir = BootDrive"\Apps\"p.DirName
  p.SetupString = ""
  p.Flag = "Replace"     /* "Fail", "Replace", or "Update" */
 
  p.ObjectIDPre = Strip(p.ObjectID,"T",">")
  p.ObjectIDShadow = ""  /* p.ObjectIDPre || "_Shadow>" */  /* Set to blank for no desktop shadow */
  p.Doc= ""  /* Set to blank for no readme */
  p.ObjectIDFolder = "" /* Set to blank for no folder */
  if (p.ObjectIDShadow="") then
     p.ObjectIDFolderShadow = p.ObjectIDPre || "_FOLDER_SHODOW>"
  else
     p.ObjectIDFolderShadow = ""
  p.ObjectIDFolderCleanUp = p.ObjectIDPre || "_FOLDER_CLEANUP>"
  p.ObjectIDFolderICON1 = WiseManager"\"p.DirName"\"p.DirName".ICO"
  p.ObjectIDFolderICON2 = WiseManager"\"p.DirName"\"p.DirName"1.ICO"
 
  call MyRegisterClasses
  call MyCreateObjects
 
  call RegisterClasses
  call CreateObjects

call SysCreateObject "WPShadow", "InJoy Firewall", "<WP_DESKTOP>", "SHADOWID=<INJOYFIREFOLDER>;OBJECTID=<INJOYFIREFOLDERSHADOW>","replace"
call SysCreateObject "WPShadow", "InJoy Firewall", "<WP_START>", "SHADOWID=<INJOYFIREWALLTEXT>;OBJECTID=<INJOYFIREWALLSHADOW>","replace"

syntax:
signal CMDExit
return 0
 
RegisterClasses:
return

CreateObjects:

dir = p.ExeDir || "\"

/* say "Creating folder" */

call SysCreateObject "WPFolder", "InJoy Firewall", p.Location, "OBJECTID=<INJOYFIREFOLDER>;ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=NO;ICONFONT=10.Helv;BACKGROUND=" || dir || "back.bmp,T;ICONFILE=" || dir || "FOLDER.ICO", "replace"
call SysCreateObject "WPFolder", "Information", "<INJOYFIREFOLDER>", "OBJECTID=<INJOYFIREINFOFOLDER>;ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=NO;ICONFONT=8.Helv;BACKGROUND=" || dir || "back.bmp,T", "replace"
call SysCreateObject "WPFolder", "Different methods"|| d2c(10) || "of payment", "<INJOYFIREFOLDER>", "OBJECTID=<INJOYFIREPAYFOLDER>;ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=NO;ICONFONT=8.Helv;BACKGROUND=" || dir || "back.bmp,T", "replace"
call SysCreateObject "WPFolder", "Utility programs", "<INJOYFIREFOLDER>", "OBJECTID=<INJOYFIREUTILFOLDER>;ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=NO;ICONFONT=8.Helv;BACKGROUND=" || dir || "back.bmp,T", "replace"

/* say "Creating program objects" */

call SysCreateObject "WPProgram", "BMT resellers", "<INJOYFIREPAYFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOCS\" || "ORDER.BMT", "replace"
call SysCreateObject "WPProgram", "Deutsche Bank" || d2c(10) || "money transfer", "<INJOYFIREPAYFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOCS\" || "ORDER.DE", "replace"
call SysCreateObject "WPProgram", "Payment via" || d2c(10) || "Phone/FAX (USA)", "<INJOYFIREPAYFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOCS\" || "ORDER.USA", "replace"

call SysCreateObject "WPProgram", "Reread firewall" || d2c(10) || "configuration", "<INJOYFIREUTILFOLDER>", "EXENAME=" || dir || "SYNC.EXE;PARAMETERS=" || "-firewall", "replace"
call SysCreateObject "WPProgram", "Reread filter" || d2c(10) || "configuration", "<INJOYFIREUTILFOLDER>", "EXENAME=" || dir || "SYNC.EXE;PARAMETERS=" || "-filter", "replace"
call SysCreateObject "WPProgram", "Kill Firewall", "<INJOYFIREUTILFOLDER>", "EXENAME=" || dir || "SYNC.EXE;PARAMETERS=" || "-kill", "replace"

call SysCreateObject "WPProgram", "License"  || d2c(10) || "Agreement", "<INJOYFIREINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOCS\" || "LICENSE.TXT", "replace"
call SysCreateObject "WPProgram", "File_ID.DIZ", "<INJOYFIREINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "FILE_ID.DIZ", "replace"
call SysCreateObject "WPProgram", "IPSec" || d2c(10) || "Plugin", "<INJOYFIREINFOFOLDER>", "EXENAME=NETSCAPE.EXE;PARAMETERS=" || "file:///" || dir || "docs\ipsec\welcome.htm", "replace"
call SysCreateObject "WPProgram", "Packet Filter" || d2c(10) || "Reference", "<INJOYFIREINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOCS\" || "FILTER.TXT", "replace"
call SysCreateObject "WPProgram", "InJoy Firewall" || d2c(10) || "Reference", "<INJOYFIREINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOCS\" || "FIREWALL.TXT", "replace"
call SysCreateObject "WPProgram", "InJoy Gateway" || d2c(10) || "Reference", "<INJOYFIREINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOCS\" || "GATEWAY.TXT", "replace"
call SysCreateObject "WPProgram", "Firewall home page" || d2c(10) || "(www.fx.dk/firewall)", "<INJOYFIREINFOFOLDER>", "EXENAME=NETSCAPE.EXE;PARAMETERS=" || "http://www.fx.dk/firewall", "replace"

call SysCreateObject "WPProgram", "BMT Purchase" || d2c(10) || "Applet", "<INJOYFIREFOLDER>", "EXENAME=" || dir || "PURCHASE\" || "PURCHASE.EXE;STARTUPDIR=" || dir || "purchase\" || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;"
call SysCreateObject "WPProgram", "Get legal and" || d2c(10) || "Register", "<INJOYFIREFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOCS\" || "REGISTER.TXT", "replace"
call SysCreateObject "WPProgram", "Uninstall" || d2c(10) || "Device Driver", "<INJOYFIREFOLDER>", "EXENAME=" || dir || "UNINSTAL.CMD;STARTUPDIR=" || dir || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;"
call SysCreateObject "WPProgram", "InJoy Firewall (text)", "<INJOYFIREFOLDER>", "EXENAME=" || dir || "GATEWAY.EXE;STARTUPDIR=" || dir || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;" || "OBJECTID=<INJOYFIREWALLTEXT>"
call SysCreateObject "WPProgram", "InJoy Firewall (PM)", "<INJOYFIREFOLDER>", "EXENAME=" || dir || "GWPM.EXE;STARTUPDIR=" || dir || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;" || "OBJECTID=<INJOYFIREWALLPM>"

/* say "Installation completed - InJoy Firewall" */

return

MyRegisterClasses:
return
 
MyCreateObjects:
  if (p.ObjectIDFolder <> "") then do
     rc = CreateObject( "WPFolder",,
         p.Title,,
         p.Location,,
        'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=CONTENTS;'||,
        'HELPPANEL=22000;'||,
        'HELPLIBRARY=OBJDHELP.HLP;'||,
        'SELFCLOSE=1;'||,
        'ICONFONT=9.WarpSans;'||,
        'DETAILSFONT=9.WarpSans;'||,
        'TREEFONT=9.WarpSans;'||,
        'ICONVIEW=NONGRID,NORMAL;'||,
        'DETAILSVIEW=MINI;'||,
        'TREEVIEW=LINES,MINI;'||,
        'ALWAYSSORT=YES;'||,
        'ICONFILE='p.ObjectIDFolderICON1';'||,
        'ICONNFILE=1,'p.ObjectIDFolderICON2';'||,
        'OBJECTID='p.ObjectIDFolder,,
         p.Flag )
 
      if (p.ObjectIDShadow="") then do
        rc = CreateObject( 'WPShadow',,
            p.Title,,
            '<WP_DESKTOP>',,
            'SHADOWID='p.ObjectIDFolder';'||,
            'OBJECTID='p.ObjectIDFolderShadow,,
         p.Flag )
      end
 
      p.Location = p.ObjectIDFolder
  end
 
  if (p.ObjectID<>"") then do
     rc = CreateObject( p.Class,,
         p.Title,,
         p.Location,,
         p.SetupString ||,
             "NOPRINT=YES;"||,
             "DEFAULTVIEW=RUNNING;"||,
             "OBJECTID="p.ObjectID";",,
         p.Flag )
  end
 
  if (p.ObjectIDShadow<>"") then do
     rc = CreateObject( "WPShadow",,
         p.Title,,
         "<WP_DESKTOP>",,
            "DEFAULTVIEW=UNKNOWN;"||,
            "NOPRINT=YES;"||,
            "HELPPANEL=1277;"||,
            "SHADOWID="p.ObjectID";"||,
            "OBJECTID="p.ObjectIDShadow";",,
         p.Flag )
  end
 
  if (p.doc<>"") then do
       rc = CreateObject( p.Class,"Read ME",p.Location,p.doc||"NOPRINT=YES;"||"DEFAULTVIEW=RUNNING;",p.Flag )
  end
 
  /* Misc program files goes here */
  PgmFiles = ""     /* ABC.EXE DEF.CMD */
  do while (PgmFiles<>"")
     PgmFiles = strip(PgmFiles)
     parse var PgmFiles p.Title"."suf" "PgmFiles
     if (Pos(".",p.Title)>0) then parse var p.Title p.Title"."suf
     p.SetupString = "EXENAME="p.ExeDir"\"p.Title"."suf";STARTUPDIR="p.StartDir";"
     p.ObjectID = "<InJoy-Firewall_"p.Title""suf">"
     rc = CreateObject( p.Class, p.Title, p.Location, p.SetupString || "NOPRINT=YES;"|| "DEFAULTVIEW=RUNNING;"|| "OBJECTID="p.ObjectID";", p.Flag )
  end /* do */
 
  /* Misc text files goes here */
  TxtFiles = ""     /* ABC.TXT DEF.TXT */
  do while (TxtFiles<>"")
     TxtFiles = strip(TxtFiles)
     parse var TxtFiles p.Title"."suf" "TxtFiles
     if (Pos(".",p.Title)>0) then parse var p.Title p.Title"."suf
     if (translate(suf)="INF") then prog = "View"
     else if (translate(suf)="HTM" | translate(suf)="HTML") then prog = RunFrom"\NetScape\Program\NetScape"
     else prog = "E"
     p.SetupString = "EXENAME="prog".EXE;PARAMETERS="p.ExeDir"\"p.Title"."suf";STARTUPDIR="p.StartDir";"
     p.ObjectID = "<InJoy-Firewall_"p.Title""suf">"
     rc = CreateObject( p.Class, p.Title || "."suf"", p.Location, p.SetupString || "NOPRINT=YES;"|| "DEFAULTVIEW=RUNNING;"|| "OBJECTID="p.ObjectID";", p.Flag )
     end /* do */
return
 
