/* */
 
parse arg string
parse var string '"'BootDrive' 'AppServer' 'Action'"'
if (string<>"" & BootDrive="") then do
   parse var string "'"BootDrive" "AppServer" "Action"'"
end
if (string<>"" & BootDrive="") then do
   parse var string BootDrive" "AppServer" "Action
end
argString = '"'BootDrive' 'AppServer' CLEANUP"'   /* Needed later */
 
  p.Title = "VoiceType"  /* Name of this application */
  p.ThisCMDFileName = "CreateVoiceType.CMD"  /* Name of this command file */
  p.DirName = "VoiceType"  /* Name of main dir */
  p.Location = "<WP_APPSFOLDER>"  /* Location to place main folder */
  p.ObjectID = "<OBJECT_VoiceType>"  /* Object to start (usually the main exe) */
  p.FitToCheck = ""
  p.FileToCheck = ""  /* File to check to see if this is a fresh install */
  p.DirToCheck = "\OS2"   /* Directory to check to see if this is a fresh install */
  p.PathToCheck = ""   /* Directory to check as part of the path env to see if this is a fresh install */
  p.ClassToCheck = ""  /* SpeechObject SPCHOBJ" */  /* Class to check to see if this is a fresh install (classname dllname) */

  call StartUp
  parse var RunFrom RunFrom""Apps
 
  p.Class = "WPProgram"
  p.ExeDir = RunFrom"\VT"
  if (VRIsDir(p.ExeDir)=0) then p.ExeDir = RunFrom"\VoiceType"
  p.StartDir = BootDrive"\VT"
  if (VRIsDir(p.StartDir)=0) then p.StartDir = BootDrive"\VoiceType"
  p.SetupString = ""
  p.Flag = "Replace"     /* "Fail", "Replace", or "Update" */
 
  p.ObjectIDPre = Strip(p.ObjectID,"T",">")
  p.ObjectIDShadow = ""  /* p.ObjectIDPre || "_Shadow>" */  /* Set to blank for no desktop shadow */
  p.Doc= ""
  p.ObjectIDFolder = "" /* Set to blank for no folder */
 
  CreateCollision = p.Flag

  Call RegisterClasses
  Call CreateObjects
 
syntax:
signal CMDExit
return 0
 
CreateObjects:
rc = CreateObject( 'WPFolder',,
    'VoiceType',,
    '<WP_PROGRAMSFOLDER>',,
    'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=CONTENTS;'||,
        'HELPPANEL=1500;'||,
        'HELPLIBRARY='p.ExeDir'\SPCH_RO\HELP\WWUS.HLP;'||,
        'SELFCLOSE=1;'||,
        'ICONFONT=9.WarpSans;'||,
        'DETAILSFONT=9.WarpSans;'||,
        'TREEFONT=9.WarpSans;'||,
        'ICONVIEW=NONGRID,NORMAL;'||,
        'DETAILSVIEW=MINI;'||,
        'TREEVIEW=LINES,MINI;'||,
        'ICONFILE='WiseManager'\VoiceType\VoiceType\VoiceType.ICO;'||,
        'ICONNFILE='WiseManager'\VoiceType\VoiceType\VoiceType1.ICO;'||,
        'OBJECTID=<WP_SPEECH>',,
    'Update' )   /* Has to use Update */

  rc = CreateObject( 'DictationObject',,
      'Dictation Window',,
      '<WP_SPEECH>',,
      'NOCOPY=YES;'||,
          'NOTDEFAULTICON=YES;'||,
          'NODELETE=YES;'||,
          'NOPRINT=YES;'||,
          'CCVIEW=NO;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=1700;'||,
          'HELPLIBRARY='p.ExeDir'\SPCH_RO\HELP\WWUS.HLP;'||,
          'EXENAME='p.ExeDir'\SPCH_BIN\DICTATE.EXE;'||,
          'STARTUPDIR='p.StartDir';'||,
          'PROGTYPE=PM;'||,
          'ICONFILE='WiseManager'\VoiceType\VoiceType\Dictation Window.ICO;'||,
          'OBJECTID=<SPCH_DICTATION>',,
      'Update' )

  rc = CreateObject( 'WPProgram',,
      'Dictation Macro Editor',,
      '<WP_SPEECH>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=1100;'||,
          'HELPLIBRARY='p.ExeDir'\SPCH_RO\HELP\WWUS.HLP;'||,
          'EXENAME='p.ExeDir'\SPCH_BIN\DME.EXE;'||,
          'STARTUPDIR='p.StartDir';'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<SPCH_MACROEDIT>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Optional Vocabularies Install/Uninstall',,
      '<WP_SPEECH>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='p.ExeDir'\SPCH_BIN\ILMINST.CMD;'||,
          'PROGTYPE=PM;'||,
          'ICONFILE='WiseManager'\VoiceType\VoiceType\Optional Vocabularies Install!Uninstall.ICO;'||,
          'OBJECTID=<SPCH_INSTALLILM>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Migrate User Information',,
      '<WP_SPEECH>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='p.ExeDir'\SPCH_BIN\VTDMIG.EXE;'||,
          'PROGTYPE=PM;'||,
          'ICONFILE='WiseManager'\VoiceType\VoiceType\Migrate User Information.ICO;'||,
          'OBJECTID=<SPCH_MIGRATE>',,
      CreateCollision )

  rc = CreateObject( 'SpeechWWProgram',,
      'Voice Manager',,
      '<WP_SPEECH>',,
      'NOCOPY=YES;'||,
          'NOTDEFAULTICON=YES;'||,
          'NODELETE=YES;'||,
          'NOPRINT=YES;'||,
          'CCVIEW=NO;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=1600;'||,
          'HELPLIBRARY='p.ExeDir'\SPCH_RO\HELP\WWUS.HLP;'||,
          'EXENAME='p.ExeDir'\SPCH_BIN\WW.EXE;'||,
          'STARTUPDIR='p.StartDir';'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<SPCH_WW>',,
      'Update' )

  rc = CreateObject( 'WPProgram',,
      'Enrollment',,
      '<WP_SPEECH>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=1400;'||,
          'HELPLIBRARY='p.ExeDir'\SPCH_RO\HELP\WWUS.HLP;'||,
          'EXENAME='p.ExeDir'\SPCH_BIN\ENROLL.EXE;'||,
          'STARTUPDIR='p.StartDir';'||,
          'PARAMETERS=-l EN_US;'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<SPCH_ENROLL>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Check Installation',,
      '<WP_SPEECH>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=1300;'||,
          'HELPLIBRARY='p.ExeDir'\SPCH_RO\HELP\WWUS.HLP;'||,
          'EXENAME='p.ExeDir'\SPCH_BIN\CHKINST.EXE;'||,
          'STARTUPDIR='p.StartDir';'||,
          'PARAMETERS=-l EN_US -u sip -e isob571 -d startUS;'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<SPCH_CHKINST>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'States Game',,
      '<WP_SPEECH>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'HELPPANEL=1200;'||,
          'HELPLIBRARY='p.ExeDir'\SPCH_RO\HELP\WWUS.HLP;'||,
          'EXENAME='p.ExeDir'\SPCH_BIN\GAMES.EXE;'||,
          'STARTUPDIR='p.StartDir';'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<SPCH_GAMES>',,
      CreateCollision )

/*
rc = CreateObject( 'SpeechUserObject',,
    'testing',,
    '<WP_DESKTOP>',,
    'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=RUNNING;'||,
        'HELPPANEL=1800;'||,
        'HELPLIBRARY='p.ExeDir'\SPCH_RO\HELP\WWUS.HLP;'||,
        'OBJECTID=<testing>',,
    CreateCollision )
*/

rc = CreateObject( 'SpeechUserObject',,
    'Speech User',,
    '<WP_TEMPS>',,
    'NOTDEFAULTICON=YES;'||,
        'TEMPLATE=YES;'||,
        'NODELETE=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=RUNNING;'||,
        'HELPPANEL=1800;'||,
        'HELPLIBRARY='p.ExeDir'\SPCH_RO\HELP\WWUS.HLP;'||,
        'OBJECTID=<SPCH_USER>',,
    CreateCollision )

  rc = CreateObject( 'WPShadow',,
      'VoiceType User''s Guide',,
      '<WP_SPEECH>',,
          'SHADOWID=<SPCH_USERGUIDE>;'||,
          'OBJECTID=<VoiceType_User_s_Guide>',,
      CreateCollision )

if (0) then do
    szClass=""
    iRetco = WPToolsQueryObject("<WP_WARPCENTER>", "szClass", "szTitle", "szSetupString", "szLocation") 
    if (szClass<>"") then do
        parse var szSetupString pre"ADDTRAY="maintray";"rest
        if (pos("<SPCH_WW>",translate(maintray))=0) then do
           szSetupString = pre || "ADDTRAY=" || maintray || "," || "<SPCH_WW>;" || rest
           rc = CreateObject( szClass,szTitle,szLocation,szSetupString,"Update" )
        end /* do */
    end
end

return

RegisterClasses:
/*

Say
Say 'Registering classes....'
Say
Say 'The following classes will be registered:'
Say
Say '  SpeechUserObject  PRDirectory       SmartCenter       SpeechObject      '
Say '  SpeechWWProgram   MMShadow          DictationObject   '
Say
Say 'Press enter to register 7 classes for object creation,'
Call CharOut, 'or type any other key and enter to ignore: '
Say
Parse Pull Answer
If Answer <> '' Then return
*/
  SpeechUserObjectClass = 0
  SpeechObjectClass = 0
  SpeechWWProgramClass = 0
  DictationObjectClass = 0
  call SysQueryClassList "list."
  found = 0
  do i = 1 to list.0
     parse var list.i cname" "dname
     cname = translate(cname)
     dname = translate(dname)
     if (cname = "SPEECHUSEROBJECT" & dname = "SPCHOBJ") then SpeechUserObjectClass = 1
     else if (cname = "SPEECHOBJECT" & dname = "SPCHOBJ") then SpeechObjectClass = 1
     else if (cname = "SPEECHWWPROGRAM" & dname = "SPCHOBJ") then SpeechWWProgramClass = 1
     else if (cname = "DICTATIONOBJECT" & dname = "SPCHOBJ") then DictationObjectClass = 1
     if (SpeechUserObjectClass=1 & SpeechObjectClass=1 & SpeechWWProgramClass=1 & DictationObjectClass=1) then leave
  end /* do */
  drop list.
  if (SpeechUserObjectClass = 0) then 
     rc = MySysRegisterObjectClass( 'SpeechUserObject', 'SPCHOBJ' )
  if (SpeechObjectClass = 0) then
     rc = MySysRegisterObjectClass( 'SpeechObject', 'SPCHOBJ' )
  if (SpeechWWProgramClass = 0) then
     rc = MySysRegisterObjectClass( 'SpeechWWProgram', 'SPCHOBJ' )
  if (DictationObjectClass = 0) then
     rc = MySysRegisterObjectClass( 'DictationObject', 'SPCHOBJ' )
  if (SpeechUserObjectClass=0 | SpeechObjectClass=0 | SpeechWWProgramClass=0 | DictationObjectClass=0) then do
     rc = 0
     RunFrom = RunFrom || "\Apps"
     signal NeedReboot
  end
/*
  rc = MySysRegisterObjectClass( 'PRDirectory', 'LSPRWPS' )

  rc = MySysRegisterObjectClass( 'SmartCenter', 'SCENTER' )

  rc = MySysRegisterObjectClass( 'MMShadow', 'MMSHD' )
*/
return


