/* */
 
parse arg string
parse var string '"'BootDrive' 'AppServer' 'Action'"'
if (string<>"" & BootDrive="") then parse var string "'"BootDrive" "AppServer" "Action"'"
if (string<>"" & BootDrive="") then parse var string BootDrive" "AppServer" "Action
argString = '"'BootDrive' 'AppServer' CLEANUP"'   /* Needed later */
 
  p.Title = "WiseTalker"
  p.ThisCMDFileName = "CreateWiseTalker.CMD"
  p.DirName = "WiseTalker"
  p.ObjectID = "<OBJECT_WiseTalker>"
  p.ObjectIDPre = Strip(p.ObjectID,"T",">")
  p.ObjectIDShadow = ""  /* p.ObjectIDPre || "_Shadow>" */  /* Set to blank for no desktop shadow */
  p.FitToCheck = ""
  p.FileToCheck = BootDrive"\msg_cent\frondesk.dat"  /* File to check to see if this is a fresh install */
  p.DirToCheck = ""   /* Directory to check to see if this is a fresh install */
  p.PathToCheck = ""   /* Directory to check as part of the path env to see if this is a fresh install */
  p.ClassToCheck = ""
  p.EnvToCheck = "TVoice" /* Env variable to check to see if this is a fresh install */

  call StartUp
  RunFrom = BootDrive
 
  /* Force it to ignore \Apps */
  parse var RunFrom RunFrom"\Apps"rest

  p.ObjectID = ""
  p.Class = "WPProgram"
  p.Location = "<WP_APPSFOLDER>"
  p.ExeDir = RunFrom"\"p.DirName
  p.StartDir = BootDrive"\"p.DirName
  p.SetupString = "EXENAME="p.ExeDir"\WTalker.EXE;STARTUPDIR="p.StartDir";"
  p.Flag = "Replace"     /* "Fail", "Replace", or "Update" */
  p.Doc= "" 
  p.ObjectIDFolder = "" /* p.ObjectIDPre || "_FOLDER>" */ /* Set to blank for no folder */
  if (p.ObjectIDShadow="") then
     p.ObjectIDFolderShadow = p.ObjectIDPre || "_FOLDER_SHODOW>"
  else
     p.ObjectIDFolderShadow = ""
  p.ObjectIDFolderCleanUp = p.ObjectIDPre || "_FOLDER_CLEANUP>"
  p.ObjectIDFolderICON1 = WiseManager"\"p.DirName"\"p.DirName".ICO"
  p.ObjectIDFolderICON2 = WiseManager"\"p.DirName"\"p.DirName"1.ICO"
 
  call RegisterClasses
  call CreateObjects
 
  call MyRegisterClasses
  call MyCreateObjects
 
syntax:
signal CMDExit
return 0
 
RegisterClasses:
return

CreateObjects:

   dest = RunFrom"\msg_cent"

   /* Build folder for icons */
   rc = SysCreateObject("WPFolder", "WiseTalker", "<WP_APPSFOLDER>", "OBJECTID=<WT_FOLDER>;ALWAYSSORT=YES;", "U")

   rc = CreateObject( 'WPShadow','WiseTalker','<WP_DESKTOP>','SHADOWID=<WT_FOLDER>;OBJECTID=<WT_FOLDERShadow>','U')

   setup="OBJECTID=<WP_RHETACCUDEMO>;EXENAME="dest"\ACCUDemo.exe;STARTUPDIR="dest";"
   rc = SysCreateObject("WPProgram", "ACCUCall", "<WT_FOLDER>", setup, "U")
   
   setup="OBJECTID=<WP_RHETPCPMEDIT>;EXENAME="dest"\PCPMEDit.exe;STARTUPDIR="dest";"
   rc = SysCreateObject("WPProgram", "PCPMEdit", "<WT_FOLDER>", setup, "U")
   
   setup="OBJECTID=<WP_RHETRDSPTEST>;EXENAME="dest"\RDSPTest.exe;STARTUPDIR="dest";"
   rc = SysCreateObject("WPProgram", "RDSPTest", "<WT_FOLDER>", setup, "U")
   
   setup="OBJECTID=<WP_RHETRECPMTS>;EXENAME="dest"\RECPmts.exe;STARTUPDIR="dest";PARAMETERS=[Name of input file to this program];"
   rc = SysCreateObject("WPProgram", "Record Prompts", "<WT_FOLDER>", setup, "U")
   
   setup="OBJECTID=<WP_RHETCONFIGUR>;EXENAME="dest"\Configur.exe;STARTUPDIR="dest";"
   rc = SysCreateObject("WPProgram", "Rhetorex Hardware^Configuration", "<WT_FOLDER>", setup, "U")
   
   setup="OBJECTID=<WP_RHETBUILDSEG>;EXENAME="dest"\BuildSEG.exe;STARTUPDIR="dest";PARAMETERS=[Name of input file to this program];"
   rc = SysCreateObject("WPProgram", "Segmented Voice File^Builder", "<WT_FOLDER>", setup, "U")
   
   setup="OBJECTID=<WP_RHETSHOWJUMP>;EXENAME="dest"\ShowJump.exe;STARTUPDIR="dest";"
   rc = SysCreateObject("WPProgram", "Show Jumper", "<WT_FOLDER>", setup, "U")
   
   setup="OBJECTID=<WP_RHETVEDIT>;EXENAME="dest"\VEdit.exe;STARTUPDIR="dest";"
   rc = SysCreateObject("WPProgram", "Voice File^Editor", "<WT_FOLDER>", setup, "U")
   
   /* Now create a icon on the deskTop */
   setup="OBJECTID=<WP_WISETALKER>;EXENAME="dest"\WTalker.exe;STARTUPDIR="dest";PROGTYPE=PM;ICONFILE="dest"\WTalker.ico;"
   rc = SysCreateObject("WPProgram", "WiseTalker", "<WT_FOLDER>", setup, "U")

   setup="SHADOWID=<WP_WISETALKER>"
   rc = SysCreateObject("WPShadow", "WiseTalker", "<WP_START>", setup, "U")

return

MyRegisterClasses:
return
 
MyCreateObjects:
  if (p.ObjectIDFolder <> "") then do
     rc = CreateObject( "WPFolder",,
         p.Title,,
         p.Location,,
        'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=CONTENTS;'||,
        'HELPPANEL=22000;'||,
        'HELPLIBRARY=OBJDHELP.HLP;'||,
        'SELFCLOSE=1;'||,
        'ICONFONT=9.WarpSans;'||,
        'DETAILSFONT=9.WarpSans;'||,
        'TREEFONT=9.WarpSans;'||,
        'ICONVIEW=NONGRID,NORMAL;'||,
        'DETAILSVIEW=MINI;'||,
        'TREEVIEW=LINES,MINI;'||,
        'ALWAYSSORT=YES;'||,
        'ICONFILE='p.ObjectIDFolderICON1';'||,
        'ICONNFILE=1,'p.ObjectIDFolderICON2';'||,
        'OBJECTID='p.ObjectIDFolder,,
         p.Flag )
 
      if (p.ObjectIDShadow="") then do
        rc = CreateObject( 'WPShadow',,
            p.Title,,
            '<WP_DESKTOP>',,
            'SHADOWID='p.ObjectIDFolder';'||,
            'OBJECTID='p.ObjectIDFolderShadow,,
         p.Flag )
      end
 
      p.Location = p.ObjectIDFolder
  end
 
  if (p.ObjectID<>"") then do
     rc = CreateObject( p.Class,,
         p.Title,,
         p.Location,,
         p.SetupString ||,
             "NOPRINT=YES;"||,
             "DEFAULTVIEW=RUNNING;"||,
             "OBJECTID="p.ObjectID";",,
         p.Flag )
  end
 
  if (p.ObjectIDShadow<>"") then do
     rc = CreateObject( "WPShadow",,
         p.Title,,
         "<WP_DESKTOP>",,
            "DEFAULTVIEW=UNKNOWN;"||,
            "NOPRINT=YES;"||,
            "HELPPANEL=1277;"||,
            "SHADOWID="p.ObjectID";"||,
            "OBJECTID="p.ObjectIDShadow";",,
         p.Flag )
  end
 
  if (p.doc<>"") then do
       rc = CreateObject( p.Class,"Read ME",p.Location,p.doc||"NOPRINT=YES;"||"DEFAULTVIEW=RUNNING;",p.Flag )
  end
 
  /* Misc program files goes here */
  PgmFiles = ""     /* ABC.EXE DEF.CMD */
  do while (PgmFiles<>"")
     PgmFiles = strip(PgmFiles)
     parse var PgmFiles p.Title"."suf" "PgmFiles
     if (Pos(".",p.Title)>0) then parse var p.Title p.Title"."suf
     p.SetupString = "EXENAME="p.ExeDir"\"p.Title"."suf";STARTUPDIR="p.StartDir";"
     p.ObjectID = "<WiseTalker_"p.Title""suf">"
     rc = CreateObject( p.Class, p.Title, p.Location, p.SetupString || "NOPRINT=YES;"|| "DEFAULTVIEW=RUNNING;"|| "OBJECTID="p.ObjectID";", p.Flag )
  end /* do */
 
  /* Misc text files goes here */
  TxtFiles = ""     /* ABC.TXT DEF.TXT */
  do while (TxtFiles<>"")
     TxtFiles = strip(TxtFiles)
     parse var TxtFiles p.Title"."suf" "TxtFiles
     if (Pos(".",p.Title)>0) then parse var p.Title p.Title"."suf
     if (translate(suf)="INF") then prog = "View"
     else if (translate(suf)="HTM" | translate(suf)="HTML") then prog = RunFrom"\NetScape\Program\NetScape"
     else prog = "E"
     p.SetupString = "EXENAME="prog".EXE;PARAMETERS="p.ExeDir"\"p.Title"."suf";STARTUPDIR="p.StartDir";"
     p.ObjectID = "<WiseTalker_"p.Title""suf">"
     rc = CreateObject( p.Class, p.Title || "."suf"", p.Location, p.SetupString || "NOPRINT=YES;"|| "DEFAULTVIEW=RUNNING;"|| "OBJECTID="p.ObjectID";", p.Flag )
     end /* do */
return

