/* */
  parse arg Action
  signal on Syntax name lab0
  rc = RxFuncAdd( "SysLoadFuncs", "REXXUTIL", "SYSLOADFUNCS" )
  rc = SysLoadFuncs()
lab0:
  signal on Syntax
  if (Action = "CLEANUP") then signal CleanUp
  p.Title = "Removing MMOS2base"
  say p.Title
  signal on Syntax name CleanUp
  /* This routine would have existed if we converted from ObjectPackage */
  call DeRegisterObjects
  rc = RxWinReplaceObjectClass('WPBitmap','MMBitmap', '0')
  rc = RxWinReplaceObjectClass('WPShadow','MMShadow', '0')
   
      CRLF = D2C(13)||D2C(10)
      parse source . . p.ThisCMDFileName
  
      rc = SysCreateObject( "WPProgram",,
        p.Title||CRLF||"(Reboot Required)",,
        "<WP_START>",,
        "NOPRINT=YES;"||,
            "DEFAULTVIEW=RUNNING;"||,
            "EXENAME="p.ThisCMDFileName";"||,
            "PARAMETERS=CLEANUP;"||,
            "PROGTYPE=PM;"||,
            "OBJECTID=<MMPM2_FOLDER_CLEANUP>",,
        "REPLACE" )
  
      rc = SysCreateObject( "WPShadow",,
          p.Title||CRLF||"(Reboot Required)",,
          "<WP_DESKTOP>",,
              "SHADOWID=<MMPM2_FOLDER_CLEANUP>;"||,
              "OBJECTID=<MMPM2_FOLDER_CLEANUP_SHADOW>",,
          "REPLACE" )
  
      signal Syntax
CleanUp:
  signal on Syntax
  rc = SysDestroyObject( "<MMPM2_FOLDER>" )
  rc = SysDestroyObject( "<MMPM2_FOLDER_CLEANUP>" )
  rc = SysDestroyObject( '<MMPM2_SETUP>' )
  rc = SysDestroyObject( '<WP_SOUND>' )
  rc = SysDestroyObject( '<MMPM2_SNDABOUT>' )
  rc = SysDestroyObject( '<MMPM2_MMTEMPLATEFOLDER>' )
  rc = SysDestroyObject( '<MIDI_MID>' )
  rc = SysDestroyObject( '<JPGImage_JPG>' )
  rc = SysDestroyObject( '<Metafile_MET>' )
  rc = SysDestroyObject( '<Bitmap_BMP>' )
  rc = SysDestroyObject( '<TIFImage_TIF>' )
  rc = SysDestroyObject( '<WAVAudio_WAV>' )
  rc = SysDestroyObject( '<MMPM2_MINSTALL>' )

Syntax:
  "@exit"
return 0

MySysDeregisterObjectClass:
   parse arg ClassName, dll
   say "Deregistering "ClassName
return SysDeregisterObjectClass( ClassName )
 

DeRegisterObjects:
  rc = MySysDeDeregisterObjectClass( 'MM_AU', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMAIF', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMAU', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMAudio', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMAVC', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMAVI', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMBitmap', 'MMBIT' )
  rc = MySysDeregisterObjectClass( 'MMCDDevice', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMDataFile', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMDevice', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMDIB', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMFinder', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMFLI', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMFolder', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMGIF', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMIFF', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMImage', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMJPG', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMLVDDevice', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMMIDI', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMMMotion', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMMOV', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMMPG', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMPCX', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMPhotoCD', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMShadow', 'MMSHD' )
  rc = MySysDeregisterObjectClass( 'MMSNDF', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMSound', 'MMSND' )
  rc = MySysDeregisterObjectClass( 'MMTarga', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMTIFF', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMVideo', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMVOC', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMVolume', 'MMPARTS' )
  rc = MySysDeregisterObjectClass( 'MMWAV', 'MMPARTS' )
return