/* CreateDefRefFile: procedure expose HomeDir name */

   /* If ObjectPackage is 1, it's being called from PB_SaveDeskTop_Click, otherwise it's from  CreateDefDeskTopFile */ 
   parse arg HomeDir" "name" "dsk" "ObjectPackage" "ObjectPackageFile
   ounit = Stream( dsk, "Command", "OPEN WRITE")
   if ( ounit <> "READY:" ) then do
      return
   end
   call lineout dsk, '/* */'
   call lineout dsk, ' '
   call lineout dsk, 'parse arg string'
   call lineout dsk, translate('parse var string `"`BootDrive` `AppServer` `Action`"`',"'","`")
   call lineout dsk, 'if (string<>"" & BootDrive="") then do'
   call lineout dsk, translate("   parse var string `'`BootDrive` `AppServer` `Action`'`",'"','`')
   call lineout dsk, 'end'
   call lineout dsk, 'if (string<>"" & BootDrive="") then do'
   call lineout dsk, '   parse var string BootDrive" "AppServer" "Action'
   call lineout dsk, 'end'
   call lineout dsk, translate('argString = `"`BootDrive` `AppServer` CLEANUP"`   /* Needed later */',"'","`")
   call lineout dsk, ' '
   call lineout dsk, '  p.Title = "'name'"  /* Name of this application */'
   call lineout dsk, '  p.ThisCMDFileName = "Create'name'.CMD"  /* Name of this command file */'
   call lineout dsk, '  p.DirName = "'name'"  /* Name of main dir */'
   call lineout dsk, '  p.Location = "<WP_APPSFOLDER>"  /* Location to place main folder */' 
   call lineout dsk, '  p.ObjectID = "<OBJECT_'name'>"  /* Object to start (usually the main exe) */'
   call lineout dsk, '  p.FileToCheck = ""  /* File to check to see if this is a fresh install */'
   if (ObjectPackage=1) then do
      call lineout dsk, '  p.DirToCheck = "\OS2"   /* Directory to check to see if this is a fresh install */'
   end
   else do
      call lineout dsk, '  p.DirToCheck = ""   /* Directory to check to see if this is a fresh install */'
   end
   call lineout dsk, '  p.PathToCheck = ""   /* Directory to check as part of the path env to see if this is a fresh install */'
   call lineout dsk, '  p.ClassToCheck = ""   /* Class to check to see if this is a fresh install (classname dllname) */'
   call lineout dsk,  ' '
   call lineout dsk, '  call StartUp'
   call lineout dsk, ' '
   call lineout dsk, '  p.Class = "WPProgram"'
   call lineout dsk, '  p.ExeDir = RunFrom"\"p.DirName'
   call lineout dsk, '  p.StartDir = BootDrive||Apps"\"p.DirName'
   if (ObjectPackage=1) then do
      call lineout dsk, '  p.SetupString = ""'
   end
   else do
      call lineout dsk, '  p.SetupString = "EXENAME="p.ExeDir"\'name'.EXE;STARTUPDIR="p.StartDir";"'
   end
   call lineout dsk, '  p.Flag = "Replace"     /* "Fail", "Replace", or "Update" */'
   call lineout dsk, ' '
   call lineout dsk, '  p.ObjectIDPre = Strip(p.ObjectID,"T",">")'
   call lineout dsk, '  p.ObjectIDShadow = ""  /* p.ObjectIDPre || "_Shadow>" */  /* Set to blank for no desktop shadow */'
   if (ObjectPackage=1) then do
      call lineout dsk, '  p.Doc= ""'
   end
   else do
      call lineout dsk, '  p.Doc= "OBJECTID="p.ObjectIDPre"_DOC>;EXENAME=E.EXE;PARAMETERS="p.ExeDir"\README.TXT;STARTUPDIR="p.StartDir";"  /* Set to blank for no readme */'
   end
   if (ObjectPackage=1) then do
      call lineout dsk, '  p.ObjectIDFolder = "" /* Set to blank for no folder */'
   end
   else do
      call lineout dsk, '  p.ObjectIDFolder = p.ObjectIDPre || "_FOLDER>" /* Set to blank for no folder */'
      call lineout dsk, '  if (p.ObjectIDShadow="") then'
      call lineout dsk, '     p.ObjectIDFolderShadow = p.ObjectIDPre || "_FOLDER_SHODOW>"'
      call lineout dsk, '  else'
      call lineout dsk, '     p.ObjectIDFolderShadow = ""'
      call lineout dsk, '  p.ObjectIDFolderCleanUp = p.ObjectIDPre || "_FOLDER_CLEANUP>"'
      call lineout dsk, '  p.ObjectIDFolderICON1 = RunFrom"\WiseManager\"p.DirName"\"p.DirName".ICO"'
      call lineout dsk, '  p.ObjectIDFolderICON2 = RunFrom"\WiseManager\"p.DirName"\"p.DirName"1.ICO"'
   end
   call lineout dsk, ' '
   if (ObjectPackage = 1) then do
      call lineout dsk, '  CreateCollision = p.Flag'
      call lineout dsk, '  Call RegisterClasses'
      call lineout dsk, '  Call CreateObjects'
   end
   else do
      call lineout dsk, '  Call MyRegisterClasses'
      call lineout dsk, '  Call MyCreateObjects'
   end
   call lineout dsk, ' '
   call lineout dsk, 'syntax:'
   call lineout dsk, 'signal CMDExit'
   call lineout dsk, 'return 0'
   call lineout dsk, ' '
   if (ObjectPackage = 0) then do
      call lineout dsk, 'MyRegisterClasses:'
      call lineout dsk, 'return'
      call lineout dsk, ' '
      call lineout dsk, 'MyCreateObjects:'
      call lineout dsk, '  if (p.ObjectIDFolder <> "") then do'
      call lineout dsk, '     rc = CreateObject( "WPFolder",,'
      call lineout dsk, '         p.Title,,'
      call lineout dsk, '         p.Location,,'
      call lineout dsk, "        'NOTDEFAULTICON=YES;'||,"
      call lineout dsk, "        'NOPRINT=YES;'||,"
      call lineout dsk, "        'DEFAULTVIEW=CONTENTS;'||,"
      call lineout dsk, "        'HELPPANEL=22000;'||,"
      call lineout dsk, "        'HELPLIBRARY=OBJDHELP.HLP;'||,"
      call lineout dsk, "        'SELFCLOSE=1;'||,"
      call lineout dsk, "        'ICONFONT=9.WarpSans;'||,"
      call lineout dsk, "        'DETAILSFONT=9.WarpSans;'||,"
      call lineout dsk, "        'TREEFONT=9.WarpSans;'||,"
      call lineout dsk, "        'ICONVIEW=NONGRID,NORMAL;'||,"
      call lineout dsk, "        'DETAILSVIEW=MINI;'||,"
      call lineout dsk, "        'TREEVIEW=LINES,MINI;'||,"
      call lineout dsk, "        'ALWAYSSORT=YES;'||,"
      call lineout dsk, "        'ICONFILE='p.ObjectIDFolderICON1';'||,"
      call lineout dsk, "        'ICONNFILE=1,'p.ObjectIDFolderICON2';'||,"
      call lineout dsk, "        'OBJECTID='p.ObjectIDFolder,,"
      call lineout dsk, '         p.Flag )'
      call lineout dsk, " "
      call lineout dsk, '      if (p.ObjectIDShadow="") then do'
      call lineout dsk, "        rc = CreateObject( 'WPShadow',,"
      call lineout dsk, "            p.Title,,"
      call lineout dsk, "            '<WP_DESKTOP>',,"
      call lineout dsk, "            'SHADOWID='p.ObjectIDFolder';'||,"
      call lineout dsk, "            'OBJECTID='p.ObjectIDFolderShadow,,"
      call lineout dsk, "         p.Flag )"
      call lineout dsk, '      end'
      call lineout dsk, " "
      call lineout dsk, '      p.Location = p.ObjectIDFolder'
      call lineout dsk, '  end'
      call lineout dsk, ' '
      call lineout dsk, '  if (p.ObjectID<>"" & p.SetupString<>"") then do'
      call lineout dsk, '     rc = CreateObject( p.Class,,'
      call lineout dsk, '         p.Title,,'
      call lineout dsk, '         p.Location,,'
      call lineout dsk, '         p.SetupString ||,'
      call lineout dsk, '             "NOPRINT=YES;"||,'
      call lineout dsk, '             "DEFAULTVIEW=RUNNING;"||,'
      call lineout dsk, '             "OBJECTID="p.ObjectID";",,'
      call lineout dsk, '         p.Flag )'
      call lineout dsk, '  end'
      call lineout dsk, ' '
      call lineout dsk, '  if (p.ObjectIDShadow<>"") then do'
      call lineout dsk, '     rc = CreateObject( "WPShadow",,'
      call lineout dsk, '         p.Title,,'
      call lineout dsk, '         "<WP_DESKTOP>",,'
      call lineout dsk, '            "DEFAULTVIEW=UNKNOWN;"||,'
      call lineout dsk, '            "NOPRINT=YES;"||,'
      call lineout dsk, '            "HELPPANEL=1277;"||,'
      call lineout dsk, '            "SHADOWID="p.ObjectID";"||,'
      call lineout dsk, '            "OBJECTID="p.ObjectIDShadow";",,'
      call lineout dsk, '         p.Flag )'
      call lineout dsk, '  end'
      call lineout dsk, ' '
      call lineout dsk, '  if (p.doc<>"") then do'
      call lineout dsk, '       rc = CreateObject( p.Class,"Read ME",p.Location,p.doc||"NOPRINT=YES;"||"DEFAULTVIEW=RUNNING;",p.Flag )'
      call lineout dsk, '  end'
      call lineout dsk, ' '
      call lineout dsk, '  /* Misc program files goes here */'
      call lineout dsk, '  PgmFiles = ""     /* ABC.EXE DEF.CMD */'
      call lineout dsk, '  do while (PgmFiles<>"")'
      call lineout dsk, '     PgmFiles = strip(PgmFiles)'
      call lineout dsk, '     parse var PgmFiles p.Title"."suf" "PgmFiles'
      call lineout dsk, '     if (Pos(".",p.Title)>0) then parse var p.Title p.Title"."suf'
      call lineout dsk, '     p.SetupString = "EXENAME="p.ExeDir"\"p.Title"."suf";STARTUPDIR="p.StartDir";"'
      call lineout dsk, '     p.ObjectID = "<'name'_"p.Title""suf">"'
      call lineout dsk, '     rc = CreateObject( p.Class, p.Title, p.Location, p.SetupString || "NOPRINT=YES;"|| "DEFAULTVIEW=RUNNING;"|| "OBJECTID="p.ObjectID";", p.Flag )'
      call lineout dsk, '  end /* do */'
      call lineout dsk, ' '
      call lineout dsk, '  /* Misc text files goes here */'
      call lineout dsk, '  TxtFiles = ""     /* ABC.TXT DEF.TXT */'
      call lineout dsk, '  do while (TxtFiles<>"")'
      call lineout dsk, '     TxtFiles = strip(TxtFiles)'
      call lineout dsk, '     parse var TxtFiles p.Title"."suf" "TxtFiles'
      call lineout dsk, '     if (Pos(".",p.Title)>0) then parse var p.Title p.Title"."suf'
      call lineout dsk, '     if (translate(suf)="INF") then prog = "View"'
      call lineout dsk, '     else if (translate(suf)="HTM" | translate(suf)="HTML") then prog = RunFrom"\NetScape\Program\NetScape"'
      call lineout dsk, '     else prog = "E"'
      call lineout dsk, '     p.SetupString = "EXENAME="prog".EXE;PARAMETERS="p.ExeDir"\"p.Title"."suf";STARTUPDIR="p.StartDir";"'
      call lineout dsk, '     p.ObjectID = "<'name'_"p.Title""suf">"'
      call lineout dsk, '     rc = CreateObject( p.Class, p.Title || "."suf"", p.Location, p.SetupString || "NOPRINT=YES;"|| "DEFAULTVIEW=RUNNING;"|| "OBJECTID="p.ObjectID";", p.Flag )'
      call lineout dsk, '  end /* do */'
      call lineout dsk, 'return'
      call lineout dsk, ' '
   end  /* End of ObjectDesktop = 0 */

   if (ObjectPackage=1) then do
      call lineout dsk, ' '
      call lineout dsk, "MySysRegisterObjectClass: procedure expose p.ExeDir"
      call lineout dsk, "   parse arg className, dllName"
      call lineout dsk, "   code = SysRegisterObjectClass( className, dllName )"
      call lineout dsk, "   If code <> 1 Then code = SysRegisterObjectClass( className, p.ExeDir || '\' || dllName || '.DLL' )"
      call lineout dsk, "   If code <> 1 Then do"
      call lineout dsk, "      Say 'Can''t register class 'className' with 'dllName'.'"
      call lineout dsk, "   end"
      call lineout dsk, "return code"
      call lineout dsk, ' '
      if (ObjectPackageFile<>"") then do
         xunit = Stream( ObjectPackageFile, "Command", "OPEN READ")
         if ( xunit = "READY:" ) then do
            do while lines(ObjectPackageFile)
               ibuf = linein(ObjectPackageFile)
               call lineout dsk, ibuf
            end
            xunit = Stream( ObjectPackageFile, "Command", "CLOSE")
         end
      end
   end

/*
   ifile = HomeDir"\WiseProg\Desktop\Create.vrs"
   do while lines(ifile)
      call lineout dsk, linein(ifile)
   end
   call lineout ifile
*/

   ounit = Stream( dsk, "Command", "CLOSE" )
   drop quote
return